Page MenuHomePhabricator

Create WMDE Engineering Website on meta
Closed, ResolvedPublic

Event Timeline

Tobi_WMDE_SW raised the priority of this task from to Medium.
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW moved this task to Backlog on the TCB-Team-Sprint-2016-02-03 board.
Tobi_WMDE_SW added subscribers: Tobi_WMDE_SW, samuwmde.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2016, 3:02 PM
Tobi_WMDE_SW set Security to None.Feb 3 2016, 3:06 PM
Tobi_WMDE_SW edited a custom field.
Deskana added a subscriber: Deskana.Feb 3 2016, 7:48 PM

You may want to consider making this on mediawiki.org instead. All the departments in Product at the Wikimedia Foundation presently have their pages on mediawiki.org. Personally, I think Meta would make more sense for these pages (since they're more Wikimedia-based than MediaWiki-based), but presently the effort of moving them all isn't worth the reward for me to do so. You certainly wouldn't be wrong to put it on Meta-Wiki, but there is something to be said for being consistent about the wikis that such pages are on. Some food for thought. :-)

@Deskana thanks for your thoughts! Indeed we were considering to put it on mediawiki.org but then choose meta because the page would contain projects completely unrelated to mediawiki. However if that doesn't matter, I would also prefer having it on mediawiki.org.

WMDE-leszek removed WMDE-leszek as the assignee of this task.
WMDE-leszek added a subscriber: WMDE-leszek.
WMDE-leszek moved this task from Backlog to Doing on the TCB-Team-Sprint-2016-02-03 board.
Tobi_WMDE_SW moved this task from Proposed to Doing on the TCB-Team-Sprint-2016-02-17 board.
Tobi_WMDE_SW edited a custom field.
Tobi_WMDE_SW removed the point value for this task.

Draft has been published on https://www.mediawiki.org/wiki/WMDE_Engineering and all changes are now made there. "Development" part of creating the pages task is done.

The content of this looks really good. Nice work!

The layout seems to be a bit broken on my laptop though. Take a look at the screenshots below for an example. Ignore the pink background, that's some CSS I've got which reminds me I'm on my staff account so I don't get my accounts mixed up.

Thank you for the feedback!
You are right, that doesn't look good. What you've seen was the result of my rather failed attempt to have sort of responsive column layout. It didn't work out well, so we now try to use always four-column layout.
It would be really nice to have proper responsive layout but as long as we cannot use Media queries in Wikitext there doesn't seem much we could do about it.

Lea_WMDE moved this task from Incoming to Other on the TCB-Team board.May 11 2016, 12:30 PM
WMDE-leszek closed this task as Resolved.Aug 30 2016, 12:51 PM